// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at http://mozilla.org/MPL/2.0/

@testable import Client

class MockAdjustWrapper: AdjustWrapper {
    var recordDeeplinkCalled = 0
    var recordCampaignCalled = 0
    var recordAdGroupCalled = 0
    var recordCreativeCalled = 0
    var recordNetworkCalled = 0

    var savedDeeplink: URL?
    var savedCampaign: String?
    var savedAdGroup: String?
    var savedCreative: String?
    var savedNetwork: String?

    func recordDeeplink(url: URL) {
        recordDeeplinkCalled += 1
        savedDeeplink = url
    }

    func record(campaign: String) {
        recordCampaignCalled += 1
        savedCampaign = campaign
    }

    func record(adgroup: String) {
        recordAdGroupCalled += 1
        savedAdGroup = adgroup
    }

    func record(creative: String) {
        recordCreativeCalled += 1
        savedCreative = creative
    }

    func record(network: String) {
        recordNetworkCalled += 1
        savedNetwork = network
    }
}
